Package pygccxml :: Package declarations :: Module type_visitor :: Class type_visitor_t

# type type_visitor_t

source code

    object --+
             |
            type_visitor_t

Known Subclasses:
  - parser.linker.linker_t

types visitor interface

All functions within this class should be redefined in derived classes.

Instance Methods

__init__(self) | source code

visit_array(self) | source code

visit_bool(self) | source code

visit_char(self) | source code

visit_complex_double(self) | source code

visit_complex_float(self) | source code

visit_complex_long_double(self) | source code

visit_const(self) | source code

visit_declarated(self) | source code

visit_double(self) | source code

visit_float(self) | source code

visit_free_function_type(self) | source code

visit_int(self) | source code

visit_jboolean(self) | source code

visit_jbyte(self) | source code

visit_jchar(self) | source code

visit_jdouble(self) | source code

visit_jfloat(self) | source code

visit_jint(self) | source code

visit_jlong(self) | source code

visit_jshort(self) | source code

visit_long_double(self) | source code

visit_long_int(self) | source code

visit_long_long_int(self) | source code

visit_long_long_unsigned_int(self) | source code

visit_long_unsigned_int(self) | source code

visit_member_function_type(self) | source code

visit_member_variable_type(self) | source code

visit_pointer(self) | source code

visit_reference(self) | source code

visit_restrict(self) | source code

visit_short_int(self) | source code

visit_short_unsigned_int(self) | source code

visit_signed_char(self) | source code

visit_unsigned_char(self) | source code

visit_unsigned_int(self) | source code

visit_void(self) | source code

visit_volatile(self) | source code

visit_wchar(self) | source code

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)